<?php
/* Widget de red para ver informacion bancos
 *
 *
 */

defined( 'ABSPATH' ) || exit;

if(is_multisite()){
	add_action('wp_network_dashboard_setup','agregar_widget_ventasdiarias_red');
}else{
	//add_action('wp_dashboard_setup','agregar_widget_ventasdiarias_pais');	
}

function agregar_widget_ventasdiarias_red(){
	wp_add_dashboard_widget('id_widget_ventasdiarias','Daily Sales by countries.','mostrar_widget_red_ventasdiarias');
}

function mostrar_widget_red_ventasdiarias(){
	$sites = get_sites(array('archived'=>0));
	$estilo = "<style>
		.t3{border:solid 1px Gainsboro;margin:auto;border-collapse: collapse;border:solid 1px gray;}
		.t3 tr {border:solid 1px darkgray;}
		.par3{background-color:WhiteSmoke!important}
		.impar3{background-color:LightGray!important}
		.cabeza3{background-color:DarkGray!important;}
		.uno3{color:DarkSlateGray;width:200px;max-width:250px;}
		.dos3{color:DarkSlateGray;width:200px; max-width:230px;border-left:solid 1px Gainsboro;}
		.none3{color:SteelBlue;width:120px;background-color:WhiteSmoke;}
		.grueso3{font-size:19px;}
		.centro3{text-align:center;}
		.none3 {background-color:transparent;}
		.espaciado {padding:5px;background-color:transparent;font-size:16px;}
		</style>";
	$td=td("Country","cabeza3");
	$td.=td("Today sales","cabeza3");
	$trs = tr($td,"cabeza3 centro grueso3");
	$par3="par3";

	$excluidos = get_paypalsnew1_option('excluidos');
	if(is_bool($excluidos)){
		$excluidos="ninguno";
	}
	$excluded = explode("|",$excluidos);

	foreach ( $sites as $site ) {
		switch_to_blog( $site->blog_id );
		$excluded_site = false;
		$url = get_option('home');
		foreach ($excluded as $exclude) {
			if (strpos($url, $exclude) !== false) {
				$excluded_site = true;
				break;
			}
		}
		if(!$excluded_site){
		//if (!str_contains(strtolower($site->blogname), 'manuals')){
			switch_to_blog( $site->blog_id );
				$fecharef=date("d-m-Y ")."00:00:00";
				$orders_query = new WC_Order_Query( 
					array(
						'limit' => 500,
						'return' => 'ids',
						'status' => 'completed',
						'date_query' => array(
							array(
								//Despues => ahora menos 30 días
								'after' => $fecharef
							)
						 )
					) 
				);
				$myorders = $orders_query->get_orders();
				$sum=0;
				foreach($myorders as $order){
					$sum+=get_post_meta($order,'_order_total',true);
				}
				$pais= "<a href='".get_option('home')."/wp-admin/edit.php?post_type=shop_order'>".$site->blogname."</a>";
				$td = td($pais,"uno3 espaciado");
				$td .= td(count($myorders)." <small style='font-style:italic;font-size:0.75em;color:gray;'>(".$sum." Eur.)</small>","dos3 espaciado centro");
				$trs .= tr($td,$par3);
				$par3=$par3=="par3"?"impar3":"par3";
			restore_current_blog();	
		}//fin de si no es manuals
	}//fin de foreach
	$tabla = tabla($trs,"t3");
	echo $estilo;
	echo tag($tabla,"div","centro3");
}

function agregar_widget_ventasdiarias_pais(){
	wp_add_dashboard_widget('id_widget_vetnasdiarias_pais','Active Bank for this site','mostrar_widget_pais_ventasdiarias');
}

function mostrar_widget_pais_ventasdiarias(){

		echo "<a style='font-size:20px;' href='".get_option('home')."/wp-admin/'>".get_option('home')."</a><br>";
		$bank_accounts = get_option('woocommerce_bacs_accounts');
		echo "<hr>";
		
		$td = td("Account name:","uno");
		$td .= td($bank_account['account_name']);
		$td .= td("Account number:","uno");
		$td .= td($bank_account['account_number']);
		$trs = tr($td,"par");

		$td = td("Bank name:","uno");
		$td .= td($bank_account['bank_name']);
		$td .= td("Sort Code:","uno");
		$td .= td($bank_account['sort_code']);
		$trs .= tr($td,"impar");
		
		$td = td("Iban:","uno");
		$td .= td($bank_account['iban']);
		$td .= td("Bic/swift:","uno");
		$td .= td($bank_account['bic']);
		$trs .= tr($td,"par");
		
		$tabla = tabla($trs,"t1");
		echo $estilo;
		echo $tabla;
	
}

